Rewards API
List rewards
GET
/
v1
/
rewards
List rewards
curl --request GET \
--url https://api.oneofnone.io/v1/rewards \
--header 'x-api-key: <api-key>'import requests
url = "https://api.oneofnone.io/v1/rewards"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.oneofnone.io/v1/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"value": 123,
"minimumPurchase": 123,
"minimumQuantity": 123,
"usageLimitTotal": 123,
"usageLimitPerCustomer": 123,
"startsAt": "<string>",
"expiresAt": "<string>",
"stackable": true,
"globalCode": "<string>",
"externalUrl": "<string>",
"imageId": 123,
"conditions": {},
"totalRedemptions": 123,
"totalRevenueImpact": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"image": {
"id": 123,
"url": "<string>"
},
"externalIds": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rewardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"externalCodeId": "<string>",
"syncedAt": "<string>",
"error": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"access": {
"qualifies": true,
"reasons": [
"<string>"
]
}
}
],
"pagination": {}
}Authorizations
Query Parameters
Available options:
draft, active, paused, expired, archived Available options:
DISCOUNT, GATED_CONTENT, FREE_CLAIM, EARLY_ACCESS, CREDIT Available options:
sitewide, collection, product, variant Required range:
1 <= x <= 1000Available options:
asc, desc ⌘I
List rewards
